Index: D:/workspace/jboss-rules-svn-trunk/drools-jsr94/src/main/java/org/drools/jsr94/rules/admin/LocalRuleExecutionSetProviderImpl.java
===================================================================
--- D:/workspace/jboss-rules-svn-trunk/drools-jsr94/src/main/java/org/drools/jsr94/rules/admin/LocalRuleExecutionSetProviderImpl.java	(revision 10165)
+++ D:/workspace/jboss-rules-svn-trunk/drools-jsr94/src/main/java/org/drools/jsr94/rules/admin/LocalRuleExecutionSetProviderImpl.java	(working copy)
@@ -30,6 +30,7 @@
 import org.drools.IntegrationException;
 import org.drools.compiler.DroolsParserException;
 import org.drools.compiler.PackageBuilder;
+import org.drools.compiler.PackageBuilderConfiguration;
 import org.drools.rule.Package;
 
 /**
@@ -99,9 +100,10 @@
     public RuleExecutionSet createRuleExecutionSet(final Reader ruleExecutionSetReader,
                                                    final Map properties) throws RuleExecutionSetCreateException {
         try {
-            final PackageBuilder builder = new PackageBuilder();
+            PackageBuilder builder = new PackageBuilder();
             Object dsl = null;
             String source = null;
+            PackageBuilderConfiguration packageBuilderConfiguration = null;
             
             if ( properties != null ) {
                 dsl = properties.get( "dsl" );
@@ -106,6 +108,14 @@
             if ( properties != null ) {
                 dsl = properties.get( "dsl" );
                 source = ( String ) properties.get( "source" );
+                packageBuilderConfiguration = (PackageBuilderConfiguration)properties.get("packageBuilderConfiguration");
+            }
+            
+            if(packageBuilderConfiguration != null) {
+            	builder = new PackageBuilder(packageBuilderConfiguration);
+            }
+            else {
+            	builder = new PackageBuilder();
             }
             
             if ( source == null ) {
